@rem 2005-01-17, Rony G. Flatscher
@echo createDistribution.cmd (for BSF4Rexx)
@echo .
@echo You need Java 1.4 (for Javadoc because of switch "-subpackages") and
@echo CLASSPATH point to the OOo jars...
@echo .
@pause

set runDate=20060312

@rem values to use for creating the BSF jarfile
set bsfDate=20060327
set bsfVersion=v205
set bsfJarNameBin=bsf-%bsfVersion%-%bsfDate%.jar
set bsfJarNameSource=bsf-%bsfVersion%-%bsfDate%-source.jar

set oorexx-uno=oorexx-uno.jar


@rem -----------------------------------------------------------------------------------
@echo deleting old jar-files...
del BSF4Rexx-apache-bsf.jar BSF4Rexx-apache-bsf-source.jar bsf-*.jar

@echo creating %bsfJarNameBin% ...
@rem jar cvMf %bsfJarNameBin% org/apache/bsf/
jar cvMf %bsfJarNameBin% org/apache/
zip -dr %bsfJarNameBin% *.svn*

@rem leave sources with binary distribution
@rem @echo creating %bsfJarNameSource% ...
@rem copy %bsfJarNameBin% %bsfJarNameSource%
@rem @rem now remove sources from bin
@rem zip -dr %bsfJarNameBin% *.java

@rem remove compiled classes from source
zip -dr %bsfJarNameSource% *.class


@echo creating jar for OOo reflection ...
del %oorexx-uno%
jar cvMf %oorexx-uno% org/oorexx/uno
zip -dr %oorexx-uno% *.svn* *bkp/* *.txt *.cmd *halbVersion* *.rex

@echo creating BSF Rexx engine jar file, containing the OOo support and datergf...
jar cvMf bsf-rexx-engine.jar org/oorexx/datergf/
jar uvf bsf-rexx-engine.jar org/oorexx/misc/
jar uvf bsf-rexx-engine.jar org/rexxla/
zip -dr bsf-rexx-engine.jar *.svn* *.html *.css *.txt

@echo creating main-jar file...
jar cvMf BSF4Rexx-apache-bsf.jar org/

@echo removing unneeded entries
zip -dr BSF4Rexx-apache-bsf.jar org/apache.neu
zip -dr BSF4Rexx-apache-bsf.jar org/apache.old
zip -dr BSF4Rexx-apache-bsf.jar *.svn*
zip -dr BSF4Rexx-apache-bsf.jar *bkp*
zip -dr BSF4Rexx-apache-bsf.jar *tmp*
@pause

@echo creating the binary and source jar-files ...
copy BSF4Rexx-apache-bsf.jar BSF4Rexx-apache-bsf-source.jar
zip -dr BSF4Rexx-apache-bsf.jar        *.java
zip -dr BSF4Rexx-apache-bsf-source.jar *.class
dir *.jar
@echo finished.
@pause


@rem -----------------------------------------------------------------------------------
@echo creating Javadocs ...
@echo [use at least Java 1.5 (5.0) and make OOo class files available via classpath!]
call make-docs-apache.cmd
@echo deleting old zip-archives for Javadocs ...
del docs_apache_bsf.zip docs_bsf4rexx.zip

@echo creating zip-archives for Javadocs
zip -9r docs_apache_bsf docs.apache.bsf/*
zip -9r docs_apache_bsf ApacheLicense2.0.txt

zip -9r docs_bsf4rexx docs.bsf4rexx/*
zip -9r docs_bsf4rexx ApacheLicense2.0.txt
@echo finished.
@pause


@rem -----------------------------------------------------------------------------------
@echo deleting install directory
rm -rf bsf4rexx

@echo creating install directory and populating it ...
md bsf4rexx
copy *.txt                              bsf4rexx\
@rem copy BSF4Rexx-apache-bsf.jar            bsf4rexx\
copy bsf-*.jar                          bsf4rexx\
copy oorexx-*.jar                       bsf4rexx\
copy
copy bin\BSF.CLS                        bsf4rexx\
copy bin\BSF_UTIL.CLS                   bsf4rexx\
copy bin\BSF4*dll                       bsf4rexx\
copy bin\BSF4*rex                       bsf4rexx\
copy bin\info*.rex                      bsf4rexx\
copy bin\Java*                          bsf4rexx\
copy bin\rexxj*                         bsf4rexx\
copy bin\setup*.rex                     bsf4rexx\
copy bin\libBS*                         bsf4rexx\
copy bin\testOOo.rex                    bsf4rexx\
copy bin\testOOo2.rex                   bsf4rexx\
copy bin\testListProps*rex              bsf4rexx\
copy bin\UNO*                           bsf4rexx\
copy bin\ScriptProviderForooRexx.jar    bsf4rexx\

del samples\OOo\*.jpg
del samples\OOo\*.pdf
xcopy samples\*                         bsf4rexx\samples\   /s/e/i/r/k/y

del BSF4Rexx_install.zip
zip -9r BSF4Rexx_install ApacheLicense2.0.txt
zip -9r BSF4Rexx_install bsf4rexx/*
zip -dr BSF4Rexx_install *.svn*

@echo finished.
@pause

@rem @rem -----------------------------------------------------------------------------------
@rem  as of 2006-01-17: part of the binary distribution
@rem @echo creating sample archive ...
@rem del BSF4Rexx_samples.zip
@rem del samples\OOo\*.jpg
@rem del samples\OOo\*.pdf
@rem zip -9r BSF4Rexx_samples samples/*
@rem zip -9r BSF4Rexx_samples ApacheLicense2.0.txt
@rem zip -dr BSF4Rexx_samples *.svn*
@rem @pause


@rem -----------------------------------------------------------------------------------
@echo creating test archive ...
del BSF4Rexx_tests.zip
zip -9r BSF4Rexx_tests test/*
zip -9r BSF4Rexx_tests ApacheLicense2.0.txt
zip -dr BSF4Rexx_tests *.svn*
@pause


@rem -----------------------------------------------------------------------------------
@echo creating source archive ...
del BSF4Rexx_sources.zip
zip -9 BSF4Rexx_sources *.txt
zip -9 BSF4Rexx_sources *.cmd
zip -9 BSF4Rexx_sources source_cc/*
zip -9 BSF4Rexx_sources source_java/*
zip -9 BSF4Rexx_sources source_java/apache-rexxla/*
zip -9 BSF4Rexx_sources source_java/ibm-rexxla/*
zip -dr BSF4Rexx_sources *.svn*
@pause

dir *.jar *.zip











